## GcalShellSearchProvider2Skeleton GcalShellSearchProvider2Skeleton |

## Functions

GDBusInterfaceInfo * | gcal_shell_search_provider2_interface_info ()
guint | gcal_shell_search_provider2_override_properties ()
void | gcal_shell_search_provider2_complete_get_initial_result_set ()
void | gcal_shell_search_provider2_complete_get_subsearch_result_set ()
void | gcal_shell_search_provider2_complete_get_result_metas ()
void | gcal_shell_search_provider2_complete_activate_result ()
void | gcal_shell_search_provider2_complete_launch_search ()
void | gcal_shell_search_provider2_call_get_initial_result_set ()
gboolean | gcal_shell_search_provider2_call_get_initial_result_set_finish ()
gboolean | gcal_shell_search_provider2_call_get_initial_result_set_sync ()
void | gcal_shell_search_provider2_call_get_subsearch_result_set ()
gboolean | gcal_shell_search_provider2_call_get_subsearch_result_set_finish ()
gboolean | gcal_shell_search_provider2_call_get_subsearch_result_set_sync ()
void | gcal_shell_search_provider2_call_get_result_metas ()
gboolean | gcal_shell_search_provider2_call_get_result_metas_finish ()
gboolean | gcal_shell_search_provider2_call_get_result_metas_sync ()
void | gcal_shell_search_provider2_call_activate_result ()
gboolean | gcal_shell_search_provider2_call_activate_result_finish ()
gboolean | gcal_shell_search_provider2_call_activate_result_sync ()
void | gcal_shell_search_provider2_call_launch_search ()
gboolean | gcal_shell_search_provider2_call_launch_search_finish ()
gboolean | gcal_shell_search_provider2_call_launch_search_sync ()
void | gcal_shell_search_provider2_proxy_new ()
GcalShellSearchProvider2 * | gcal_shell_search_provider2_proxy_new_finish ()
GcalShellSearchProvider2 * | gcal_shell_search_provider2_proxy_new_sync ()
void | gcal_shell_search_provider2_proxy_new_for_bus ()
GcalShellSearchProvider2 * | gcal_shell_search_provider2_proxy_new_for_bus_finish ()
GcalShellSearchProvider2 * | gcal_shell_search_provider2_proxy_new_for_bus_sync ()
GcalShellSearchProvider2 * | gcal_shell_search_provider2_skeleton_new ()

## Signals

gboolean | handle-activate-result | Run Last
gboolean | handle-get-initial-result-set | Run Last
gboolean | handle-get-result-metas | Run Last
gboolean | handle-get-subsearch-result-set | Run Last
gboolean | handle-launch-search | Run Last

## Object Hierarchy

        GInterface
        ╰── GcalShellSearchProvider2
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GcalShellSearchProvider2Skeleton
        ╰── GDBusProxy
            ╰── GcalShellSearchProvider2Proxy

## Description

## Functions

### gcal_shell_search_provider2_interface_info ()

    GDBusInterfaceInfo *
    gcal_shell_search_provider2_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.Shell.SearchProvider2 D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### gcal_shell_search_provider2_override_properties ()

    guint
    gcal_shell_search_provider2_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the GcalShellSearchProvider2 interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### gcal_shell_search_provider2_complete_get_initial_result_set ()

    void
    gcal_shell_search_provider2_complete_get_initial_result_set
                                   (GcalShellSearchProvider2 *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *const *Results);

Helper function used in service implementations to finish handling invocations of the `GetInitialResultSet()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. | [transfer full]
Results | Parameter to return. |

### gcal_shell_search_provider2_complete_get_subsearch_result_set ()

    void
    gcal_shell_search_provider2_complete_get_subsearch_result_set
                                   (GcalShellSearchProvider2 *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *const *Results);

Helper function used in service implementations to finish handling invocations of the `GetSubsearchResultSet()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. | [transfer full]
Results | Parameter to return. |

### gcal_shell_search_provider2_complete_get_result_metas ()

    void
    gcal_shell_search_provider2_complete_get_result_metas
                                   (GcalShellSearchProvider2 *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *Metas);

Helper function used in service implementations to finish handling invocations of the `GetResultMetas()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. | [transfer full]
Metas | Parameter to return. |

### gcal_shell_search_provider2_complete_activate_result ()

    void
    gcal_shell_search_provider2_complete_activate_result
                                   (GcalShellSearchProvider2 *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ActivateResult()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. | [transfer full]

### gcal_shell_search_provider2_complete_launch_search ()

    void
    gcal_shell_search_provider2_complete_launch_search
                                   (GcalShellSearchProvider2 *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `LaunchSearch()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. | [transfer full]

### gcal_shell_search_provider2_call_get_initial_result_set ()

    void
    gcal_shell_search_provider2_call_get_initial_result_set
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_Terms,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetInitialResultSet()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_call_get_initial_result_set_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_call_get_initial_result_set_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Terms | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_call_get_initial_result_set_finish ()

    gboolean
    gcal_shell_search_provider2_call_get_initial_result_set_finish
                                   (GcalShellSearchProvider2 *proxy,
                                    gchar ***out_Results,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_call_get_initial_result_set()`.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
out_Results | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_call_get_initial_result_set()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_get_initial_result_set_sync ()

    gboolean
    gcal_shell_search_provider2_call_get_initial_result_set_sync
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_Terms,
                                    gchar ***out_Results,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetInitialResultSet()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_call_get_initial_result_set()` for the asynchronous version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Terms | Argument to pass with the method invocation. |
out_Results | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_get_subsearch_result_set ()

    void
    gcal_shell_search_provider2_call_get_subsearch_result_set
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_PreviousResults,
                                    const gchar *const *arg_Terms,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetSubsearchResultSet()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_call_get_subsearch_result_set_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_call_get_subsearch_result_set_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_PreviousResults | Argument to pass with the method invocation. |
arg_Terms | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_call_get_subsearch_result_set_finish ()

    gboolean
    gcal_shell_search_provider2_call_get_subsearch_result_set_finish
                                   (GcalShellSearchProvider2 *proxy,
                                    gchar ***out_Results,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_call_get_subsearch_result_set()`.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
out_Results | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_call_get_subsearch_result_set()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_get_subsearch_result_set_sync ()

    gboolean
    gcal_shell_search_provider2_call_get_subsearch_result_set_sync
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_PreviousResults,
                                    const gchar *const *arg_Terms,
                                    gchar ***out_Results,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetSubsearchResultSet()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_call_get_subsearch_result_set()` for the asynchronous version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_PreviousResults | Argument to pass with the method invocation. |
arg_Terms | Argument to pass with the method invocation. |
out_Results | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_get_result_metas ()

    void
    gcal_shell_search_provider2_call_get_result_metas
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_Results,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetResultMetas()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_call_get_result_metas_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_call_get_result_metas_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Results | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_call_get_result_metas_finish ()

    gboolean
    gcal_shell_search_provider2_call_get_result_metas_finish
                                   (GcalShellSearchProvider2 *proxy,
                                    GVariant **out_Metas,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_call_get_result_metas()`.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
out_Metas | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_call_get_result_metas()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_get_result_metas_sync ()

    gboolean
    gcal_shell_search_provider2_call_get_result_metas_sync
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_Results,
                                    GVariant **out_Metas,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetResultMetas()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_call_get_result_metas()` for the asynchronous version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Results | Argument to pass with the method invocation. |
out_Metas | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_activate_result ()

    void
    gcal_shell_search_provider2_call_activate_result
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *arg_Result,
                                    const gchar *const *arg_Terms,
                                    guint arg_Timestamp,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ActivateResult()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_call_activate_result_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_call_activate_result_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Result | Argument to pass with the method invocation. |
arg_Terms | Argument to pass with the method invocation. |
arg_Timestamp | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_call_activate_result_finish ()

    gboolean
    gcal_shell_search_provider2_call_activate_result_finish
                                   (GcalShellSearchProvider2 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_call_activate_result()`.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_call_activate_result()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_activate_result_sync ()

    gboolean
    gcal_shell_search_provider2_call_activate_result_sync
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *arg_Result,
                                    const gchar *const *arg_Terms,
                                    guint arg_Timestamp,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ActivateResult()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_call_activate_result()` for the asynchronous version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Result | Argument to pass with the method invocation. |
arg_Terms | Argument to pass with the method invocation. |
arg_Timestamp | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_launch_search ()

    void
    gcal_shell_search_provider2_call_launch_search
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_Terms,
                                    guint arg_Timestamp,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `LaunchSearch()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_call_launch_search_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_call_launch_search_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Terms | Argument to pass with the method invocation. |
arg_Timestamp | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_call_launch_search_finish ()

    gboolean
    gcal_shell_search_provider2_call_launch_search_finish
                                   (GcalShellSearchProvider2 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_call_launch_search()`.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_call_launch_search()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_call_launch_search_sync ()

    gboolean
    gcal_shell_search_provider2_call_launch_search_sync
                                   (GcalShellSearchProvider2 *proxy,
                                    const gchar *const *arg_Terms,
                                    guint arg_Timestamp,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `LaunchSearch()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_call_launch_search()` for the asynchronous version of this method.

#### Parameters

proxy | A GcalShellSearchProvider2Proxy. |
arg_Terms | Argument to pass with the method invocation. |
arg_Timestamp | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gcal_shell_search_provider2_proxy_new ()

    void
    gcal_shell_search_provider2_proxy_new (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.Shell.SearchProvider2. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_proxy_new_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_proxy_new_finish ()

    GcalShellSearchProvider2 *
    gcal_shell_search_provider2_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GcalShellSearchProvider2Proxy]

### gcal_shell_search_provider2_proxy_new_sync ()

    GcalShellSearchProvider2 *
    gcal_shell_search_provider2_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.Shell.SearchProvider2. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GcalShellSearchProvider2Proxy]

### gcal_shell_search_provider2_proxy_new_for_bus ()

    void
    gcal_shell_search_provider2_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `gcal_shell_search_provider2_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gcal_shell_search_provider2_proxy_new_for_bus_finish()` to get the result of the operation.

See `gcal_shell_search_provider2_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### gcal_shell_search_provider2_proxy_new_for_bus_finish ()

    GcalShellSearchProvider2 *
    gcal_shell_search_provider2_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `gcal_shell_search_provider2_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gcal_shell_search_provider2_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GcalShellSearchProvider2Proxy]

### gcal_shell_search_provider2_proxy_new_for_bus_sync ()

    GcalShellSearchProvider2 *
    gcal_shell_search_provider2_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `gcal_shell_search_provider2_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `gcal_shell_search_provider2_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GcalShellSearchProvider2Proxy]

### gcal_shell_search_provider2_skeleton_new ()

    GcalShellSearchProvider2 *
    gcal_shell_search_provider2_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.Shell.SearchProvider2.

#### Returns

The skeleton object.

[transfer full][type GcalShellSearchProvider2Skeleton]

## Types and Values

## Signal Details

### The `“handle-activate-result”` signal

    gboolean
    user_function (GcalShellSearchProvider2 *object,
                   GDBusMethodInvocation    *invocation,
                   gchar                    *arg_Result,
                   GStrv                     arg_Terms,
                   guint                     arg_Timestamp,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `ActivateResult()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gcal_shell_search_provider2_complete_activate_result()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. |
arg_Result | Argument passed by remote caller. |
arg_Terms | Argument passed by remote caller. |
arg_Timestamp | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-initial-result-set”` signal

    gboolean
    user_function (GcalShellSearchProvider2 *object,
                   GDBusMethodInvocation    *invocation,
                   GStrv                     arg_Terms,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GetInitialResultSet()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gcal_shell_search_provider2_complete_get_initial_result_set()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. |
arg_Terms | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-result-metas”` signal

    gboolean
    user_function (GcalShellSearchProvider2 *object,
                   GDBusMethodInvocation    *invocation,
                   GStrv                     arg_Results,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GetResultMetas()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gcal_shell_search_provider2_complete_get_result_metas()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. |
arg_Results | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-subsearch-result-set”` signal

    gboolean
    user_function (GcalShellSearchProvider2 *object,
                   GDBusMethodInvocation    *invocation,
                   GStrv                     arg_PreviousResults,
                   GStrv                     arg_Terms,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GetSubsearchResultSet()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gcal_shell_search_provider2_complete_get_subsearch_result_set()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. |
arg_PreviousResults | Argument passed by remote caller. |
arg_Terms | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-launch-search”` signal

    gboolean
    user_function (GcalShellSearchProvider2 *object,
                   GDBusMethodInvocation    *invocation,
                   GStrv                     arg_Terms,
                   guint                     arg_Timestamp,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `LaunchSearch()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gcal_shell_search_provider2_complete_launch_search()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GcalShellSearchProvider2. |
invocation | A GDBusMethodInvocation. |
arg_Terms | Argument passed by remote caller. |
arg_Timestamp | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last